%define name	gltron
%define version	0.70
%define release	%mkrel 14

Summary:	Gltron, a 3d lightcycle game using OpenGL
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPLv2
Group:		Games/Arcade
Url:		http://gltron.sourceforge.net
Source:		gltron-%{version}.tar.bz2
Source1:	gltron-xpm.tar.bz2
Patch0:		gltron-0.70-gcc4.patch
Patch1:		gltron-0.70-sys-cflags.patch
Patch2:		gltron-0.70-link.patch
Patch3:		gltron-0.70-link2.patch
BuildRequires:	SDL-devel
BuildRequires:	SDL_sound-devel
BuildRequires:	png-devel
BuildRequires:	mesagl-devel
BuildRequires:	smpeg-devel

%description
A very nice Tron game using OpenGL.

%prep
%setup -q
%patch0 -p1 -b .gcc4
%patch1 -p0 -b .cflags
%patch2 -p0 -b .link
%patch3 -p0 -b .link2

%build
touch AUTHORS NEWS
autoreconf -fi
%configure2_5x --bindir=%{_gamesbindir} \
	--datadir=%{_gamesdatadir} --disable-warn \
	--disable-sdltest
%make

%install
rm -rf %{buildroot}
%makeinstall_std

mkdir -p %{buildroot}%{_miconsdir}
mkdir -p %{buildroot}%{_iconsdir}
mkdir -p %{buildroot}%{_liconsdir}
tar xfj %{SOURCE1}
install -m0644 gltron-16.png %{buildroot}%{_miconsdir}/gltron.png
install -m0644 gltron-32.png %{buildroot}%{_iconsdir}/gltron.png
install -m0644 gltron-48.png %{buildroot}%{_liconsdir}/gltron.png

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/mageia-%{name}.desktop << EOF
[Desktop Entry]
Name=Gltron
Comment=3d lightcycle game
Exec=%{_gamesbindir}/gltron
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=X-MandrivaLinux-MoreApplications-Games-Arcade;Game;ArcadeGame;
EOF

%clean
rm -rf %{buildroot}

%files
%doc ChangeLog README
%{_gamesbindir}/gltron
%dir %{_gamesdatadir}/gltron/
%{_gamesdatadir}/gltron/art
%{_gamesdatadir}/gltron/data
%{_gamesdatadir}/gltron/music
%{_gamesdatadir}/gltron/scripts
%{_miconsdir}/gltron.png
%{_iconsdir}/gltron.png
%{_liconsdir}/gltron.png
%{_datadir}/applications/mageia-%{name}.desktop


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 0.70-14.mga3
+ Revision: 351840
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Feb 05 2012 luigiwalser <luigiwalser> 0.70-13.mga2
+ Revision: 205031
- try a patch to fix linking problem
- fix linking
- fix license
- clean spec
- imported package gltron

